## autojump 21.6.9

=== Makefile ===
VERSION = $(shell grep -oE "[0-9]+\.[0-9]+\.[0-9]+" bin/autojump)
TAGNAME = release-v$(VERSION)

.PHONY: docs install uninstall tar test

install:
	install.sh

uninstall:
	uninstall.sh

docs:
	pandoc -s -w man docs/manpage_header.md docs/header.md docs/body.md -o docs/autojump.1
	pandoc -s -w markdown docs/header.md docs/install.md docs/development.md docs/body.md -o README.md

release: docs test
	# Check for tag existence
	# git describe release-$(VERSION) 2>&1 >/dev/null || exit 1

	# Modify autojump with version
	./tools/git-version.sh $(TAGNAME)

	# Commit the version change
	git commit -m "version numbering" ./bin/autojump

	# Create tag
	git tag -a $(TAGNAME)

	# Create tagged archive
	git archive --format=tar --prefix autojump_v$(VERSION)/ $(TAGNAME) | gzip > autojump_v$(VERSION).tar.gz
	sha1sum autojump_v$(VERSION).tar.gz

tar:
	# Create tagged archive
	git archive --format=tar --prefix autojump_v$(VERSION)/ $(TAGNAME) | gzip > autojump_v$(VERSION).tar.gz
	sha1sum autojump_v$(VERSION).tar.gz

test:
	@tests/runtests.py

## autojump 11

=== debian/changelog ===
autojump (11-1) unstable; urgency=low

  * Initial release (Closes: #580891)

 -- Tanguy Ortolo <tanguy+debian@ortolo.eu>  Tue, 10 Aug 2010 10:22:17 +0200

=== debian/control ===
Source: autojump
Section: shells
Priority: optional
Maintainer: Tanguy Ortolo <tanguy+debian@ortolo.eu>
Build-Depends: debhelper (>= 7.0.50~), xsltproc, docbook-xsl-ns
Standards-Version: 3.9.1
Homepage: http://wiki.github.com/joelthelion/autojump/
Vcs-Git: git://git.ortolo.eu/pkg-autojump.git
Vcs-Browser: http://git.ortolo.eu/pkg-autojump.git

Package: autojump
Architecture: all
Depends: ${misc:Depends}, python
Enhances: bash, zsh, zsh-beta
Description: shell extension to jump to frequently used directories
 autojump provides a faster way to navigate your filesystem, with a
 "cd command that learns".
 .
 It works by maintaining a database of the directories you use the most from
 the command line, and allows you to "jump" to frequently used directories by
 typing only a small pattern.

Package: jumpapplet
Architecture: all
Depends: ${misc:Depends}, python, python-gtk2, autojump
Section: x11
Description: autojump notification icon, to jump to frequently used directories
 jumpapplet is an applet that provides a notification icon based on autojump.
 It allows you to open a shell or a file manager window for frequently used
 directories.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh  $@

override_dh_auto_install:
	chmod -x autojump.sh
	chmod -x autojump.zsh

override_dh_auto_build:
	xsltproc --nonet --novalid -o debian/ \
	    /usr/share/xml/docbook/stylesheet/docbook-xsl-ns/manpages/docbook.xsl \
	    debian/jumpapplet.1.xml
	dh_auto_build

override_dh_auto_clean:
	chmod +x autojump.sh
	chmod +x autojump.zsh
	rm -f debian/jumpapplet.1
	dh_auto_clean

=== debian/watch ===
version=3

http://githubredir.debian.net/github/joelthelion/autojump /release-v(.*).tar.gz

## autojump 15

=== debian/changelog ===
autojump (15-3) unstable; urgency=low

  * debian/patches:
     + data_dir.patch: fix jumpapplet to use the new XDG compliant
       directories. (Closes: #633889)
     + use-python3.patch: use Python 3 for autojump. (Closes: #632224)
     + force-pickle-v2.patch: force using a serializing (pickle) protocole
       compatible with both Python 2 and Python 3.
  * debian/control: let autojump depend on python3.
  * debian/autojump.lintian-overrides: removed, as this seems to be corrected
    in Lintian.

 -- Tanguy Ortolo <tanguy+debian@ortolo.eu>  Sat, 23 Jul 2011 13:42:06 +0200

autojump (15-2) unstable; urgency=low

  * Install manpages with dh_installman.
  * debian/control: updated Standards-Version (no change required).

 -- Tanguy Ortolo <tanguy+debian@ortolo.eu>  Sat, 28 May 2011 11:01:35 +0200

autojump (15-1) unstable; urgency=low

  * New upstream version.
  * debian/rules: upstream chmod -x'ed autojump.{bash,zsh}, no need to do it
    here anymore.
  * debian/patches/jumpapplet-shebang.patch: correct jumpapplet's shebang.

 -- Tanguy Ortolo <tanguy+debian@ortolo.eu>  Sun, 10 Apr 2011 20:20:07 +0200

autojump (14-1) unstable; urgency=low

  * New upstream version.

 -- Tanguy Ortolo <tanguy+debian@ortolo.eu>  Fri, 14 Jan 2011 22:40:00 +0100

## autojump 17

=== debian/changelog ===
autojump (17-1) unstable; urgency=low

  * New upstream version.
  * debian/patches:
     + data_dir.patch: applied by upstream, not needed anymore.
     + force-pickle-v2.patch: this was a backport from upstream, not needed
       anymore.
     + jumpapplet-include-functions.patch: copy functions from autojump to
       jumpapplet instead of importing them as a temporary workaround (cf.
       patch header).
  * debian/copyright: replace the two previous copyright files by this single
    one to simplify and respect the policy.

 -- Tanguy Ortolo <tanguy+debian@ortolo.eu>  Sun, 02 Oct 2011 22:48:44 +0200

autojump (15-4) unstable; urgency=low

  * debian/patches/force-pickle-v2.patch: document that upstream corrected
    this in parallel, so this patch will not be necessary by the next release.

 -- Tanguy Ortolo <tanguy+debian@ortolo.eu>  Sun, 24 Jul 2011 20:53:00 +0200

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,19 @@
 Section: shells
 Priority: optional
 Maintainer: Tanguy Ortolo <tanguy+debian@ortolo.eu>
+DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 7.0.50~), xsltproc, docbook-xsl-ns
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://wiki.github.com/joelthelion/autojump/
 Vcs-Git: git://git.ortolo.eu/pkg-autojump.git
 Vcs-Browser: http://git.ortolo.eu/pkg-autojump.git
 
 Package: autojump
 Architecture: all
-Depends: ${misc:Depends}, python
+Depends: ${misc:Depends}, python3
 Enhances: bash, zsh, zsh-beta
 Description: shell extension to jump to frequently used directories
- autojump provides a faster way to navigate your filesystem, with a
+ autojump provides is a faster way to navigate your filesystem, with a
  "cd command that learns".
  .
  It works by maintaining a database of the directories you use the most from

## autojump 18

=== debian/changelog ===
autojump (18-1) unstable; urgency=low

  * New upstream release.

 -- Tanguy Ortolo <tanguy+debian@ortolo.eu>  Sat, 10 Dec 2011 23:41:06 +0100

## autojump 20

=== debian/changelog ===
autojump (20-2) unstable; urgency=low

  * debian/control: make autojump depend on Python 3.2+, where the module
    argparse was introduced. (Closes: #673008)

 -- Tanguy Ortolo <tanguy+debian@ortolo.eu>  Sat, 26 May 2012 09:38:48 +0200

autojump (20-1) unstable; urgency=low

  * New upstream release.
  * debian/autojump.links: link autojump to /usr/share/autojump where it is
    used as a module imported by jumpapplet.
  * debian/patches:
     + jumpapplet-include-functions.patch: removed, remplaced by a simpler
       solution than copying functions from autojump to jumpapplet.
     + jumpapplet-import-path.patch: import autojump from jumpapplet using a
       full path.
     + man-source.patch: updated, the manpage now being written in Markdown
       and compiled with Pandoc.
     + fix-manpage.patch: fix the buggy manpage produced by Pandoc.
     + move-to-usrshare.patch: refreshed.
     + use-python3.patch: refreshed.
  * debian/copyright:
     + updated copyright date (to 2012).
     + updated to released format.
  * debian/autojump.docs: README.rst replaced by README.md.
  * debian/control:
     + update Standards-Version (no change required).
     + correct a typo and indicate that the user has to source autojump to be
       able to use it. (Closes: #649580)

 -- Tanguy Ortolo <tanguy+debian@ortolo.eu>  Sat, 14 Apr 2012 13:59:47 +0200

=== debian/control ===
--- 
+++ 
@@ -4,22 +4,25 @@
 Maintainer: Tanguy Ortolo <tanguy+debian@ortolo.eu>
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 7.0.50~), xsltproc, docbook-xsl-ns
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://wiki.github.com/joelthelion/autojump/
 Vcs-Git: git://git.ortolo.eu/pkg-autojump.git
 Vcs-Browser: http://git.ortolo.eu/pkg-autojump.git
 
 Package: autojump
 Architecture: all
-Depends: ${misc:Depends}, python3
+Depends: ${misc:Depends}, python3 (>= 3.2)
 Enhances: bash, zsh, zsh-beta
 Description: shell extension to jump to frequently used directories
- autojump provides is a faster way to navigate your filesystem, with a
+ autojump provides a faster way to navigate your filesystem, with a
  "cd command that learns".
  .
  It works by maintaining a database of the directories you use the most from
  the command line, and allows you to "jump" to frequently used directories by
  typing only a small pattern.
+ .
+ To use autojump, you need to configure your shell to source
+ /usr/share/autojump/autojump.sh on startup.
 
 Package: jumpapplet
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -12,10 +12,6 @@
 %:
 	dh  $@
 
-override_dh_auto_install:
-	chmod -x autojump.sh
-	chmod -x autojump.zsh
-
 override_dh_auto_build:
 	xsltproc --nonet --novalid -o debian/ \
 	    /usr/share/xml/docbook/stylesheet/docbook-xsl-ns/manpages/docbook.xsl \
@@ -23,7 +19,5 @@
 	dh_auto_build
 
 override_dh_auto_clean:
-	chmod +x autojump.sh
-	chmod +x autojump.zsh
 	rm -f debian/jumpapplet.1
 	dh_auto_clean

=== debian/watch ===
version=3

https://github.com/joelthelion/autojump/downloads (?:.*/)?autojump_v(.*)\.tar\.gz

## autojump 21.6.9

=== debian/changelog ===
autojump (21.6.9-1) unstable; urgency=low

  * New upstream release.
  * debian/patches:
     - fix-arbitrary-code-flaw.patch: removed, part of that upstream release.
     - fix-dict-bug.patch: removed, part of that upstream release.
     - fix-manpage.patch: removed, no longer needed.
     - runtests-shebang.patch, fix-tests.patch: removed as the tests no longer
       exist.
     - remove-makefile-test.patch: remove references to the removed tests in
       the makefile so it can be built.
     - man-source.patch, move-to-usrshare.patch: refresh.

 -- Tanguy Ortolo <tanguy+debian@ortolo.eu>  Thu, 15 Aug 2013 15:56:12 +0200

autojump (21.5.1-2) experimental; urgency=low

  * debian/patches: new patches
     + fix-arbitrary-code-flaw.patch: pick a fix for an arbitrary code
       execution flaw. (Closes: #706252) (CVE-2013-2012)
     + fix-dict-bug.patch: fix a bug that rendered the --purge option
       unusable. (Closes: #705516)

 -- Tanguy Ortolo <tanguy+debian@ortolo.eu>  Sun, 28 Apr 2013 20:21:34 +0200

autojump (21.5.1-1) experimental; urgency=low

  * New upstream release. (Closes: #704660)
  * debian/control:
     + remove the jumpapplet package, dropped by upstream.
     + remove the DM-Upload-Allowed field, deprecated and no longer useful for
       this package anyway.
     + update Standards-Version (required removing the DM-Upload-Allowed from
       debian/control).
  * debian/rules:
     + avoid running upstream's Makefile.
     + stop building jumpapplet's man page which no longer exists.
  * debian/copyright:
     + update with new upstream author.
     + removes the entry related to jumpapplet, which no longer exists.
  * debian/patches:
     + jumpapplet-*.patch: removed, no longer relevant with jumpapplet
       removed.
     + *.patch: refresh.
     + runtests-shebang.patch: correct runtests.py's shebang.
     + fix-tests.patch: fix the test suite that was not fully
       adapted for the new logarithmic growth model.
     + move-to-usrshare.patch: update header (add Forwarded: not-needed).
     + man-source.patch: update header (add Forwarded: not-needed).
  * debian/autojump.install: update for new upstream paths (bin/ and docs/).
  * debian/watch: use GitHub automatic tarballs from Git tags.
  * debian/jumpapplet.*: removed, as jumpapplet no longer exists.
  * debian/autojump.links: removed, no longer needed with jumpapplet removed.

 -- Tanguy Ortolo <tanguy+debian@ortolo.eu>  Mon, 08 Apr 2013 23:57:51 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,8 @@
 Section: shells
 Priority: optional
 Maintainer: Tanguy Ortolo <tanguy+debian@ortolo.eu>
-DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 7.0.50~), xsltproc, docbook-xsl-ns
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://wiki.github.com/joelthelion/autojump/
 Vcs-Git: git://git.ortolo.eu/pkg-autojump.git
 Vcs-Browser: http://git.ortolo.eu/pkg-autojump.git
@@ -23,12 +22,3 @@
  .
  To use autojump, you need to configure your shell to source
  /usr/share/autojump/autojump.sh on startup.
-
-Package: jumpapplet
-Architecture: all
-Depends: ${misc:Depends}, python, python-gtk2, autojump
-Section: x11
-Description: autojump notification icon, to jump to frequently used directories
- jumpapplet is an applet that provides a notification icon based on autojump.
- It allows you to open a shell or a file manager window for frequently used
- directories.

=== debian/rules ===
--- 
+++ 
@@ -13,11 +13,9 @@
 	dh  $@
 
 override_dh_auto_build:
-	xsltproc --nonet --novalid -o debian/ \
-	    /usr/share/xml/docbook/stylesheet/docbook-xsl-ns/manpages/docbook.xsl \
-	    debian/jumpapplet.1.xml
-	dh_auto_build
 
 override_dh_auto_clean:
-	rm -f debian/jumpapplet.1
+	rm -f tests/autojump.pyc
 	dh_auto_clean
+
+override_dh_auto_install:

=== debian/watch ===
version=3

http://github.com/joelthelion/autojump/tags .*/release-v(.*)\.tar\.gz

## autojump 21.7.1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 VERSION = $(shell grep -oE "[0-9]+\.[0-9]+\.[0-9]+" bin/autojump)
 TAGNAME = release-v$(VERSION)
 
-.PHONY: docs install uninstall tar test
+.PHONY: docs install uninstall tar
 
 install:
 	install.sh
@@ -13,7 +13,7 @@
 	pandoc -s -w man docs/manpage_header.md docs/header.md docs/body.md -o docs/autojump.1
 	pandoc -s -w markdown docs/header.md docs/install.md docs/development.md docs/body.md -o README.md
 
-release: docs test
+release: docs
 	# Check for tag existence
 	# git describe release-$(VERSION) 2>&1 >/dev/null || exit 1
 
@@ -34,6 +34,3 @@
 	# Create tagged archive
 	git archive --format=tar --prefix autojump_v$(VERSION)/ $(TAGNAME) | gzip > autojump_v$(VERSION).tar.gz
 	sha1sum autojump_v$(VERSION).tar.gz
-
-test:
-	@tests/runtests.py

=== debian/changelog ===
autojump (21.7.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/autojump.install: install the Fish shell plugin.
  * debian/control:
     - Enhances fish.
     - update Standards-Version to 3.9.5 (no change needed).
  * debian/patches/remove-makefile-test.patch: remove, applied upstream.

 -- Tanguy Ortolo <tanguy+debian@ortolo.eu>  Sun, 08 Jun 2014 15:35:26 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Tanguy Ortolo <tanguy+debian@ortolo.eu>
 Build-Depends: debhelper (>= 7.0.50~), xsltproc, docbook-xsl-ns
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://wiki.github.com/joelthelion/autojump/
 Vcs-Git: git://git.ortolo.eu/pkg-autojump.git
 Vcs-Browser: http://git.ortolo.eu/pkg-autojump.git
@@ -11,7 +11,7 @@
 Package: autojump
 Architecture: all
 Depends: ${misc:Depends}, python3 (>= 3.2)
-Enhances: bash, zsh, zsh-beta
+Enhances: bash, zsh, zsh-beta, fish
 Description: shell extension to jump to frequently used directories
  autojump provides a faster way to navigate your filesystem, with a
  "cd command that learns".

## autojump 22.2.4

=== Makefile ===
--- 
+++ 
@@ -1,17 +1,20 @@
 VERSION = $(shell grep -oE "[0-9]+\.[0-9]+\.[0-9]+" bin/autojump)
 TAGNAME = release-v$(VERSION)
 
-.PHONY: docs install uninstall tar
+.PHONY: docs install uninstall lint tar test
 
 install:
-	install.sh
+	./install.py
 
 uninstall:
-	uninstall.sh
+	./uninstall.py
 
 docs:
 	pandoc -s -w man docs/manpage_header.md docs/header.md docs/body.md -o docs/autojump.1
-	pandoc -s -w markdown docs/header.md docs/install.md docs/development.md docs/body.md -o README.md
+	pandoc -s -w markdown docs/header.md docs/install.md docs/body.md -o README.md
+
+lint:
+	@flake8 ./ --config=tox.ini
 
 release: docs
 	# Check for tag existence
@@ -34,3 +37,7 @@
 	# Create tagged archive
 	git archive --format=tar --prefix autojump_v$(VERSION)/ $(TAGNAME) | gzip > autojump_v$(VERSION).tar.gz
 	sha1sum autojump_v$(VERSION).tar.gz
+
+test: lint
+	@find . -type f -iname "*.pyc" -delete
+	tox

=== debian/changelog ===
autojump (22.2.4-1) unstable; urgency=medium

  * New upstream release.
  * Upstream developer changed, and so did the project website.
  * debian/control:
     - update Homepage to new website.
     - update Build-Depends:
        + no longer need to build jumpapplet's manpage from DocBook.
        + use dh_python.
     - update Enhances:
        + only Bash >= 4.0 is supported).
        + add Fish which is now supported.
        + remove old package zsh-beta which no longer exists.
          (Closes: #785361)
     - update Standards-Version to 3.9.6 (no change needed).
  * debian/watch: update to new website.
  * debian/copyright: update dates.
  * debian/patches: refresh (adaptations were needed, but no semantic change).
  * debian/rules:
     - disable automatic test, which always tries to download dependencies
       even if they are already present, which fails without a connection to
       the Internet.
     - disable dh_pysupport, which would install maintainer script to
       byte-compile modules for Python 2.7, which is useless since autojump is
       run with Python 3.
     - use dh_python3.
     - add comments to explain that automatic build and install are disabled
       and files are manually installed with dh_install instead.
  * debian/autojump.install:
     - install Python libraries to /usr/share/autojump.
     - install autojump to /usr/share/autojump.
  * debian/autojump.links:
     - make /usr/bin/autojump a symlink to /usr/share/autojump/autojump
       (this solves the library import path problem).

 -- Tanguy Ortolo <tanguy+debian@ortolo.eu>  Fri, 24 Jul 2015 11:04:29 +0200

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,22 @@
 Section: shells
 Priority: optional
 Maintainer: Tanguy Ortolo <tanguy+debian@ortolo.eu>
-Build-Depends: debhelper (>= 7.0.50~), xsltproc, docbook-xsl-ns
-Standards-Version: 3.9.5
-Homepage: http://wiki.github.com/joelthelion/autojump/
+Build-Depends:
+    debhelper (>= 7.0.50~),
+    dh-python,
+    python3
+Standards-Version: 3.9.6
+Homepage: https://github.com/wting/autojump
 Vcs-Git: git://git.ortolo.eu/pkg-autojump.git
 Vcs-Browser: http://git.ortolo.eu/pkg-autojump.git
 
 Package: autojump
 Architecture: all
-Depends: ${misc:Depends}, python3 (>= 3.2)
-Enhances: bash, zsh, zsh-beta, fish
+Depends:
+    ${misc:Depends},
+    ${python3:Depends},
+    python3 (>= 3.2)
+Enhances: bash (>= 4.0), zsh, fish, tcsh
 Description: shell extension to jump to frequently used directories
  autojump provides a faster way to navigate your filesystem, with a
  "cd command that learns".

=== debian/rules ===
--- 
+++ 
@@ -10,12 +10,22 @@
 #export DH_VERBOSE=1
 
 %:
-	dh  $@
+	dh  --with python3 $@
 
+# We are manually installing files, as the upstream install.py would put
+# everythin in /usr/bin
 override_dh_auto_build:
 
-override_dh_auto_clean:
-	rm -f tests/autojump.pyc
-	dh_auto_clean
+# We are manually installing files, as the upstream install.py would put
+# everythin in /usr/bin
+override_dh_auto_install:
 
-override_dh_auto_install:
+# Disable automatic test, as it will always try to download things like
+# flake8, even if they are installed, which will fail without access to the
+# Internet
+override_dh_auto_test:
+
+# Disable dh_pysupport, which incorrectly installs a maintainer script to
+# byte-compile modules for Python 2.7, while this application will run with
+# Python 3.
+override_dh_pysupport:

=== debian/watch ===
version=3

https://github.com/wting/autojump/releases .*/release-v(.*)\.tar\.gz

## autojump 22.3.4

=== debian/changelog ===
autojump (22.3.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
     - switch Vcs-* URLs to HTTPS.
     - update Standards-Version to 3.9.8 (no change needed).

 -- Tanguy Ortolo <tanguy+debian@ortolo.eu>  Sat, 23 Jul 2016 19:08:37 +0200

autojump (22.3.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
     - update Standards-Version (no change needed).
     - build-depend on debhelper >= 9.
  * debian/compat: change to recommended compatibility level 9.
  * debian/rules: correct the position of dh's --with option, after the
    commands.

 -- Tanguy Ortolo <tanguy+debian@ortolo.eu>  Thu, 31 Mar 2016 13:44:17 +0200

## autojump 22.5.0

=== debian/changelog ===
autojump (22.5.0-2) unstable; urgency=medium

  * debian/autojump.install: install the Zsh completion file to
    /usr/share/zsh/vendor-completions. (Closes: #843580)

 -- Tanguy Ortolo <tanguy+debian@ortolo.eu>  Thu, 24 Nov 2016 11:26:43 +0100

autojump (22.5.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch: switch to version 4 and use substitutions to make it more
    generic.

 -- Tanguy Ortolo <tanguy+debian@ortolo.eu>  Sun, 09 Oct 2016 17:55:48 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Tanguy Ortolo <tanguy+debian@ortolo.eu>
 Build-Depends:
-    debhelper (>= 7.0.50~),
+    debhelper (>= 9),
     dh-python,
     python3
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/wting/autojump
-Vcs-Git: git://git.ortolo.eu/pkg-autojump.git
-Vcs-Browser: http://git.ortolo.eu/pkg-autojump.git
+Vcs-Git: https://git.ortolo.eu/pkg-autojump.git
+Vcs-Browser: https://git.ortolo.eu/pkg-autojump.git
 
 Package: autojump
 Architecture: all

## autojump 22.5.1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 VERSION = $(shell grep -oE "[0-9]+\.[0-9]+\.[0-9]+" bin/autojump)
 TAGNAME = release-v$(VERSION)
 
-.PHONY: docs install uninstall lint tar test
+.PHONY: clean docs install uninstall pre-commit lint tar test
 
 install:
 	./install.py
@@ -13,8 +13,8 @@
 	pandoc -s -w man docs/manpage_header.md docs/header.md docs/body.md -o docs/autojump.1
 	pandoc -s -w markdown docs/header.md docs/install.md docs/body.md -o README.md
 
-lint:
-	@flake8 ./ --config=tox.ini
+pre-commit:
+	@tox -e pre-commit -- install -f --install-hooks
 
 release: docs
 	# Check for tag existence
@@ -38,6 +38,16 @@
 	git archive --format=tar --prefix autojump_v$(VERSION)/ $(TAGNAME) | gzip > autojump_v$(VERSION).tar.gz
 	sha1sum autojump_v$(VERSION).tar.gz
 
-test: lint
-	@find . -type f -iname "*.pyc" -delete
-	tox
+test: pre-commit
+	@tox
+
+test-xfail: pre-commit
+	@tox -- --runxfail
+
+test-fast: pre-commit
+	@tox -e py27
+
+clean:
+	@find . -type f -iname '*.py[co]' -delete
+	@find . -type d -iname '__pycache__' -delete
+	@rm -fr .tox

=== debian/changelog ===
autojump (22.5.1-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sat, 02 Jan 2021 01:07:06 +0100

autojump (22.5.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - update Standards-Version to 4.1.4.
    - switch to debhelper level 11.
  * debian/copyright: switch format URL to HTTPS.
  * debian/upstream/metadata: add an upstream metadata file.

 -- Tanguy Ortolo <tanguy+debian@ortolo.eu>  Sat, 09 Jun 2018 18:03:29 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Tanguy Ortolo <tanguy+debian@ortolo.eu>
 Build-Depends:
-    debhelper (>= 9),
+    debhelper (>= 11),
     dh-python,
     python3
-Standards-Version: 3.9.8
+Standards-Version: 4.1.4
 Homepage: https://github.com/wting/autojump
 Vcs-Git: https://git.ortolo.eu/pkg-autojump.git
 Vcs-Browser: https://git.ortolo.eu/pkg-autojump.git

=== debian/watch ===
version=4

https://github.com/wting/@PACKAGE@/releases .*/release-v@ANY_VERSION@@ARCHIVE_EXT@
